#ifndef __OFFLINEEVENTVIEWER_H__
#define __OFFLINEEVENTVIEWER_H__

#include <vector>
using namespace std;

#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <sys/types.h>

#define MAX_EVENT_SIZE 1500


class OfflineEventViewer {
public:
// load event file
    int LoadFile(const char* filename);
    int ContinueLoadingFile(int limit);
    
// go to specified event
    int EventSeek(unsigned int num);

// debate:
// only do raw counts in here?  or process it to voltages so it can immediately be displayed?
    unsigned short int* getBuffer();

private:
    vector<off_t> evtOffsets;
    vector<unsigned short int> buffer;
    FILE* fin;
    
// adc buffer
    unsigned short int* bufferData[MAX_EVENT_SIZE];
};

#endif
